/*utilities*/
body {
    font-family: 'Roboto', sans-serif;
}

textarea {
    resize: none;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


.bg-whale {
    background-image: url('/static/images/common/bg-whale.png');
    background-size: cover;
    background-repeat: no-repeat;
}


.bg-blue {
    background-color: #003366 !important;
}

.bg-purple {
    background-color: #7B00A2 !important;
}

.bg-whale-blue {
    background-color: #0695d9 !important;
}

.bg-lightblue {
    background-color: #02ACEF !important;
}

.bg-lightblue-2 {
    background-color: #0099FF !important;
}

.bg-lightblue-3 {
    background-color: #00CCFF !important;
}

.bg-white {
    background-color: #FFFFFF;
}

.bg-yellow {
    background-color: #FFC107;
}

.bd-red {
    border: 1px solid #DC143C;
}

.bd-red:focus {
    border-color: #DC143C;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 0.2rem rgba(255, 0, 0, 0.6);
}

.bd-green {
    border: 1px solid #198754;
}

.bd-green:focus {
    border-color: #198754;
    box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.25);
}

.c-yellow {
    color: #FFC107;
}

.c-red {
    color: #DC143C;
}

.c-green {
    color: #198754;
}

.c-black {
    color: #000000 !important;
}

.c-white {
    color: #FFFFFF !important;
}

.c-blue {
    color: #003366 !important;
}

.c-lightblue {
    color: #02ACEF !important;
}

.c-lightblue-2 {
    color: #0099FF !important;
}

.c-lightblue-3 {
    color: #00CCFF !important;
}

.fw-100 {
    font-weight: 100;
}

.fw-300 {
    font-weight: 300;
}

.fw-400 {
    font-weight: 400;
}

.fw-600 {
    font-weight: 600;
}

.p-30 {
    padding: 30px;
}

.p-100 {
    padding: 100px;
}

.h-30 {
    height: 30px;
}

.mw-100 {
    min-width: 100px;
}

.scroll-up {
    margin-top: -128px;
}

.bottom-right {
    margin-top: 250px;
    margin-right: -175px;
}

.mb-50 {
    margin-bottom: 50px;
}

.jumbotron-cover {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.label {
    border-radius: 20px;
    padding: 8px 24px;
}

.avatar-sm {
    border-radius: 50%;
    width: 24px;
    height: 24px;
    object-fit: cover;

}

.avatar {
    border-radius: 50%;
    width: 48px;
    height: 48px;
    object-fit: cover;
}

.img-border {
    border-style: solid;
    border-color: #FFFFFF;
    border-radius: 20px 20px 20px 20px;
    box-shadow: 0 0 10px 0 grey;
}

.max-50 {
    max-width: 50%;
}

.max-75 {
    max-width: 75%;
}

hr.divider {
    border: 1px solid #FFFFFF;
    border-radius: 5px;
    width: 20%;
    margin: 20px 0;
}

.diagonal-right {
    transform: translateY(-1px);
    clip-path: polygon(0 0%, 100% 0%, 100% 0%, 0% 50%);
    padding: 2rem;
}

.diagonal-left {
    transform: translateY(1px);
    clip-path: polygon(0% 0%, 0% 40%, 100% 100%, 0% 100%);
    padding: 2rem;
}

.shadow {
    box-shadow: rgba(17, 17, 26, 0.1) 0 4px 16px, rgba(17, 17, 26, 0.1) 0 8px 24px, rgba(17, 17, 26, 0.1) 0 16px 56px;
}

/*components*/
.navbar {
    background-color: #003366;
    padding: 16px 8vw 16px 8vw;
}

.spacer {
    padding: 48px 16vw;
}

.jumbo {
    font-size: 96px;
}

.h1 {
    font-size: 56px;
}

.h2 {
    font-size: 36px;
}

.h3 {
    font-size: 24px;
}

.h4 {
    font-size: 20px;
}

.h5 {
    font-size: 16px;
}

.p {
    font-size: 20px;
}

.title {
    text-transform: uppercase;
    letter-spacing: 2px;
}

.small {
    font-size: 12px;
}

.icon {
    font-size: 28px;
}

.text-justify {
    text-align: justify;
}

.map {
    width: 100%;
    height: 100%;
    min-height: 400px;
}

.map-expand {
    width: 100%;
    height: 100%;
    min-height: 600px;
    border-radius: 20px;
}

.observation-image {
    width: 100%;
    height: 400px;
    object-fit: cover;
}

.gallery-image {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.search-image {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.maps-image {
    width: 100%;
    height: 125px;
    object-fit: contain;
}

.flag {
    border: 1px solid #003366;
    width: 32px;
}

.language {
    padding-left: 27%;
}

.no-link {
    color: #FFFFFF;
    text-decoration: none !important;
}

.no-link:hover {
    color: #FFFFFF;
}

/*special case*/

.home-grid-1 {
    transform: translate(0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(-7deg);
}

.home-grid-2 {
    transform: translate(0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(2deg);
}

.home-grid-3 {
    transform: translate(0px, 0px) rotateX(0deg) rotateY(0deg) rotateZ(8deg);
}

.about-grid-1 {
    transform: translate(160px, 0px) rotateX(-22deg) rotateY(0deg) rotateZ(15deg);
}

.about-grid-2 {
    transform: translate(0px, -80px) rotateX(-22deg) rotateY(0deg) rotateZ(-17deg);
}

/*overwrite*/

.accordion .accordion-item:first-child {
    border-top-left-radius: 20px !important;
    border-top-right-radius: 20px !important;
}

.accordion .accordion-item:last-child {
    border-bottom-left-radius: 20px !important;
    border-bottom-right-radius: 20px !important;
}

.accordion-item:first-of-type .accordion-button {
    border-top-left-radius: 20px !important;
    border-top-right-radius: 20px !important;
}

.accordion-item:last-of-type .accordion-button.collapsed {
    border-bottom-left-radius: 20px !important;
    border-bottom-right-radius: 20px !important;
}

.is-valid {
    border-color: #198754;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.is-invalid {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.feedback {
    width: 100%;
    margin-top: 0.25rem;
    font-size: .875em;
}

.card-img-top {
    width: 100% !important;
    height: 250px;
    object-fit: cover;
}

.card-title {
    font-size: 1rem !important;
}

.card-text img {
    max-width: 100%;
    height: auto;
}

.article-jumbotron {
    max-height: 360px;
    width: 100%;
    object-fit: cover;
    object-position: 50% 75%;
}

.article-image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.article-card {
    border: none !important;
}

.article-title {
    text-transform: uppercase;
}

@media only screen and (max-width: 1200px) {
    .navbar {
        padding: 16px 4vw 16px 4vw;
    }

    .scroll-up {
        margin-top: -100px;
    }

    .spacer {
        padding: 32px 12vw;
    }
}

@media only screen and (max-width: 768px) {
    .navbar {
        padding: 16px 2vw 16px 2vw;
    }

    .spacer {
        padding: 32px 8vw;
    }

    .jumbo {
        font-size: 56px;
    }

    .h1 {
        font-size: 36px;
    }

    .h2 {
        font-size: 28px;
    }

    .h3 {
        font-size: 20px;
    }

    .p {
        font-size: 18px;
    }
}


@media only screen and (max-width: 576px) {
    .navbar-brand img {
        width: 80%;
    }

    .scroll-up {
        margin-top: unset;
    }

    .spacer {
        padding: 24px 8vw;
    }

    .h1 {
        font-size: 32px;
    }

    .h2 {
        font-size: 24px;
    }

    .p {
        font-size: 18px;
    }

    .diagonal-right {
        padding: 2rem;
    }

    .diagonal-left {
        padding: 2rem;
    }

    .no-spacer {
        padding: unset;
    }

    .bg-whale {
        background-position: -200px 0;
    }

    .bottom-right {
        margin-right: 0px;
    }

    .about-grid-1 {
        transform: translate(80px, 0px) rotateX(-22deg) rotateY(0deg) rotateZ(15deg);
    }

    .about-grid-2 {
        transform: translate(20px, -40px) rotateX(-22deg) rotateY(0deg) rotateZ(-17deg);
    }

    .map-expand {
        min-height: 500px;
    }

    .map-panel {}
}